"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class TypedgateError extends Error {
    constructor(message, sourceFileName, sourceFilePos) {
        super(message);
        this.message = message;
        this.sourceFileName = sourceFileName;
        this.sourceFilePos = sourceFilePos;
        this.name = 'TypedgateError';
    }
    toString() {
        const pos = this.sourceFilePos ? `:${this.sourceFilePos.line}:${this.sourceFilePos.column}` : '';
        return `${this.name}: ${this.message} at ${this.sourceFileName}${pos}`;
    }
}
exports.TypedgateError = TypedgateError;
//# sourceMappingURL=typedgate-error.js.map